Package net.md_5.bungee.api.event

# Class ClientConnectEvent

java.lang.Object
net.md_5.bungee.api.plugin.Event
net.md_5.bungee.api.event.ClientConnectEvent

All Implemented Interfaces:
  `Cancellable`

public class ClientConnectEvent extends Event implements Cancellable
Event called to represent an initial client connection.
Note: This event is called at an early stage of every connection, handling should be fast.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ClientConnectEvent(SocketAddress socketAddress, ListenerInfo listener)`
  Creates a new `ClientConnectEvent` instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `ListenerInfo`
  `getListener()`
  Listener that accepted the connection.
  `SocketAddress`
  `getSocketAddress()`
  Remote address of connection.
  `int`
  `hashCode()`
  `boolean`
  `isCancelled()`
  Cancelled state.
  `void`
  `setCancelled(boolean cancelled)`
  Cancelled state.
  `String`
  `toString()`

  ### Methods inherited from class net.md_5.bungee.api.plugin.Event

  `postCall`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ClientConnectEvent

    public ClientConnectEvent(SocketAddress socketAddress, ListenerInfo listener)
    Creates a new `ClientConnectEvent` instance.
    Parameters:
      `socketAddress` - Remote address of connection.
      `listener` - Listener that accepted the connection.

- ## Method Details

  - ### isCancelled

    public boolean isCancelled()
    Cancelled state.
    Specified by:
      `isCancelled` in interface `Cancellable`
    Returns:
      the cancelled state of this event

  - ### getSocketAddress

    public SocketAddress getSocketAddress()
    Remote address of connection.

  - ### getListener

    public ListenerInfo getListener()
    Listener that accepted the connection.

  - ### setCancelled

    public void setCancelled(boolean cancelled)
    Cancelled state.
    Specified by:
      `setCancelled` in interface `Cancellable`
    Parameters:
      `cancelled` - the state to set

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`